Class Util
java.lang.Object
org.apache.sling.scripting.jsp.jasper.tagplugins.jstl.Util
Util contains some often used consts, static methods and embedded class
to support the JSTL tag plugin.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classWraps responses to allow us to retrieve results as Strings. -
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionstatic StringPerforms the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml().static StringgetContentTypeAttribute(String input, String name) Get the value associated with a content-type attribute.static intConverts the given string description of a scope to the corresponding PageContext constant.static booleanisAbsoluteUrl(String url) Returns true if our current URL is absolute, false otherwise.static StringresolveUrl(String url, String context, javax.servlet.jsp.PageContext pageContext) Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupportstatic StringstripSession(String url) Strips a servlet session ID from url.
-
Field Details
-
VALID_SCHEME_CHAR
- See Also:
-
DEFAULT_ENCODING
- See Also:
-
HIGHEST_SPECIAL
public static final int HIGHEST_SPECIAL- See Also:
-
specialCharactersRepresentation
public static char[][] specialCharactersRepresentation
-
-
Constructor Details
-
Util
public Util()
-
-
Method Details
-
getScope
Converts the given string description of a scope to the corresponding PageContext constant. The validity of the given scope has already been checked by the appropriate TLV.- Parameters:
scope- String description of scope- Returns:
- PageContext constant corresponding to given scope description taken from org.apache.taglibs.standard.tag.common.core.Util
-
isAbsoluteUrl
Returns true if our current URL is absolute, false otherwise. taken from org.apache.taglibs.standard.tag.common.core.ImportSupport -
getContentTypeAttribute
Get the value associated with a content-type attribute. Syntax defined in RFC 2045, section 5.1. taken from org.apache.taglibs.standard.tag.common.core.Util -
stripSession
Strips a servlet session ID from url. The session ID is encoded as a URL "path parameter" beginning with "jsessionid=". We thus remove anything we find between ";jsessionid=" (inclusive) and either EOS or a subsequent ';' (exclusive). taken from org.apache.taglibs.standard.tag.common.core.ImportSupport -
escapeXml
Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml(). taken from org.apache.taglibs.standard.tag.common.core.Util -
resolveUrl
public static String resolveUrl(String url, String context, javax.servlet.jsp.PageContext pageContext) throws javax.servlet.jsp.JspException Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupport- Throws:
javax.servlet.jsp.JspException
-